--
CREATE TABLE TB_CAR
(
    VIN                      VARCHAR2(17) NOT NULL,
    VEH_FORM_FORM            VARCHAR2(7) NOT NULL,
    VEH_FORM_BASE            VARCHAR2(3) NOT NULL,
    VEH_FORM_ADD             VARCHAR2(3) NOT NULL,
    VEH_FORM_OPT             VARCHAR2(5) NOT NULL,
    AP_MODEL_NO              VARCHAR2(3) NOT NULL,
    VEN_CERT_NO              VARCHAR2(15) NOT NULL,
    PRO_PLAN_DT              VARCHAR2(8) NOT NULL,
    EX_COLOR                 VARCHAR2(3) NOT NULL,
    IN_COLOR                 VARCHAR2(1) NOT NULL,
    CRITE_CAR                VARCHAR2(5) NOT NULL,
    OFFLINE_FACT             VARCHAR2(10) NOT NULL,
    ENGINE_FACT              VARCHAR2(10) NOT NULL,
    ENG_FORM                 VARCHAR2(8) NOT NULL,
    ENG_NO                   VARCHAR2(6) NOT NULL,
    TM_FORM                  VARCHAR2(8) NOT NULL,
    TM_NO                    VARCHAR2(10) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    ENG_PRO_DT               VARCHAR2(10) NOT NULL,
    OFFLINE_DT               VARCHAR2(10) NOT NULL,
    FAC_COMP_DT              VARCHAR2(8) NOT NULL,
    SIGNOFF_DT               VARCHAR2(8) NOT NULL,
    SALE_DT                  VARCHAR2(8) NOT NULL,
    CUR_EVENT                VARCHAR2(10) NOT NULL,
    IAS_FLAG                 VARCHAR2(1) DEFAULT 'N' NOT NULL,
    SALE_PRICE               NUMBER(10) NOT NULL,
    SALE_PRICE_EURO          VARCHAR2(10) NOT NULL,
    PRO_UPD_DT               VARCHAR2(8) NOT NULL,
    SALE_UPD_DT              VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_CAR_PK
    PRIMARY KEY (VIN)
);
COMMENT ON TABLE TB_CAR IS '';
COMMENT ON COLUMN TB_CAR.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR.VEH_FORM_FORM IS '_';
COMMENT ON COLUMN TB_CAR.VEH_FORM_BASE IS '_⺻';
COMMENT ON COLUMN TB_CAR.VEH_FORM_ADD IS '_߰';
COMMENT ON COLUMN TB_CAR.VEH_FORM_OPT IS '_û';
COMMENT ON COLUMN TB_CAR.AP_MODEL_NO IS 'Applied_model_no';
COMMENT ON COLUMN TB_CAR.VEN_CERT_NO IS 'ȣ';
COMMENT ON COLUMN TB_CAR.PRO_PLAN_DT IS 'ȹ';
COMMENT ON COLUMN TB_CAR.EX_COLOR IS '';
COMMENT ON COLUMN TB_CAR.IN_COLOR IS '';
COMMENT ON COLUMN TB_CAR.CRITE_CAR IS '';
COMMENT ON COLUMN TB_CAR.OFFLINE_FACT IS 'ΰ';
COMMENT ON COLUMN TB_CAR.ENGINE_FACT IS '';
COMMENT ON COLUMN TB_CAR.ENG_FORM IS '';
COMMENT ON COLUMN TB_CAR.ENG_NO IS 'ȣ';
COMMENT ON COLUMN TB_CAR.TM_FORM IS '̼';
COMMENT ON COLUMN TB_CAR.TM_NO IS '̼ǹȣ';
COMMENT ON COLUMN TB_CAR.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR.ENG_PRO_DT IS '';
COMMENT ON COLUMN TB_CAR.OFFLINE_DT IS '';
COMMENT ON COLUMN TB_CAR.FAC_COMP_DT IS 'ϼ';
COMMENT ON COLUMN TB_CAR.SIGNOFF_DT IS 'SIGNOFF';
COMMENT ON COLUMN TB_CAR.SALE_DT IS 'Ǹ';
COMMENT ON COLUMN TB_CAR.CUR_EVENT IS ' EVENT';
COMMENT ON COLUMN TB_CAR.IAS_FLAG IS '';
COMMENT ON COLUMN TB_CAR.SALE_PRICE IS 'ǸŰ';
COMMENT ON COLUMN TB_CAR.SALE_PRICE_EURO IS 'ǸŰ_';
COMMENT ON COLUMN TB_CAR.PRO_UPD_DT IS '_̷';
COMMENT ON COLUMN TB_CAR.SALE_UPD_DT IS '_Ǹ̷';


--
CREATE TABLE TB_CAR_REPAIR
(
    VIN                      VARCHAR2(17) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    CLAIM_NO                 VARCHAR2(12) NOT NULL,
    BEF_CLAIM_NO             VARCHAR2(12) NOT NULL,
    REPAIR_DT                VARCHAR2(8) NOT NULL,
    CLAIM_DT                 VARCHAR2(8) NOT NULL,
    RECOMPENSE_DIV           VARCHAR2(1) NOT NULL,
    REPAIR_FLAG              VARCHAR2(1) DEFAULT 'N' NOT NULL,
    DELIVER_FLAG             VARCHAR2(1) NOT NULL,
    WAR_EXT_FLAG             VARCHAR2(1) NOT NULL,
    DRV_DIST                 VARCHAR2(7) NOT NULL,
    SYM_CD                   VARCHAR2(2) NOT NULL,
    CAUSE_CD                 VARCHAR2(2) NOT NULL,
    PFP                      VARCHAR2(5) NOT NULL,
    CAR_KIND                 VARCHAR2(1) NOT NULL,
    PFP_NO                   VARCHAR2(13) NOT NULL,
    PARTCOST                 NUMBER(11) NOT NULL,
    PARTCOST_EURO            NUMBER(11) NOT NULL,
    PARTCOST_W               NUMBER(11) NOT NULL,
    PARTCOST_W_EURO          NUMBER(11) NOT NULL,
    LABORCOST                NUMBER(11) NOT NULL,
    LABORCOST_EURO           NUMBER(11) NOT NULL,
    SUBLETCOST               NUMBER(11) NOT NULL,
    SUBLETCOST_EURO          NUMBER(11) NOT NULL,
    TRACTIONCOST             NUMBER(11) NOT NULL,
    TRACTIONCOST_EURO        NUMBER(11) NOT NULL,
    WARRANTY_DIV             VARCHAR2(1) NOT NULL,
    LPOS                     VARCHAR2(1) NOT NULL,
    MPOS                     VARCHAR2(2) NOT NULL,
    SPOS                     VARCHAR2(3) NOT NULL,
    MIS                      VARCHAR2(1) NOT NULL,
    CAMPAIGN_CD              VARCHAR2(9) NOT NULL,
    CLAIM_DESC               VARCHAR2(120) NOT NULL,
    EDIT_DT                  VARCHAR2(8) NOT NULL,
    DEL_FLAG                 VARCHAR2(1) DEFAULT 'N' NOT NULL,
    CLOSE_FLAG               VARCHAR2(1) DEFAULT 'N' NOT NULL,
    CONSTRAINT TB_CAR_REPAIR_PK
    PRIMARY KEY (CLAIM_NO,DEALER_CD,VIN),
     FOREIGN KEY (VIN)
     REFERENCES TB_CAR(VIN)
);
COMMENT ON TABLE TB_CAR_REPAIR IS '';
COMMENT ON COLUMN TB_CAR_REPAIR.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_REPAIR.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_REPAIR.CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_REPAIR.BEF_CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_REPAIR.REPAIR_DT IS '';
COMMENT ON COLUMN TB_CAR_REPAIR.CLAIM_DT IS 'ó';
COMMENT ON COLUMN TB_CAR_REPAIR.RECOMPENSE_DIV IS '󱸺';
COMMENT ON COLUMN TB_CAR_REPAIR.REPAIR_FLAG IS '԰';
COMMENT ON COLUMN TB_CAR_REPAIR.DELIVER_FLAG IS 'ε';
COMMENT ON COLUMN TB_CAR_REPAIR.WAR_EXT_FLAG IS '忩';
COMMENT ON COLUMN TB_CAR_REPAIR.DRV_DIST IS 'Ÿ';
COMMENT ON COLUMN TB_CAR_REPAIR.SYM_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_REPAIR.CAUSE_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_REPAIR.PFP IS 'ֿκǰ';
COMMENT ON COLUMN TB_CAR_REPAIR.CAR_KIND IS '';
COMMENT ON COLUMN TB_CAR_REPAIR.PFP_NO IS 'ֿκǰȣ';
COMMENT ON COLUMN TB_CAR_REPAIR.PARTCOST IS 'ǰ_';
COMMENT ON COLUMN TB_CAR_REPAIR.PARTCOST_EURO IS 'ǰ__';
COMMENT ON COLUMN TB_CAR_REPAIR.PARTCOST_W IS 'ǰ_';
COMMENT ON COLUMN TB_CAR_REPAIR.PARTCOST_W_EURO IS 'ǰ__';
COMMENT ON COLUMN TB_CAR_REPAIR.LABORCOST IS 'Ӵ';
COMMENT ON COLUMN TB_CAR_REPAIR.LABORCOST_EURO IS 'Ӵ_';
COMMENT ON COLUMN TB_CAR_REPAIR.SUBLETCOST IS 'ְ';
COMMENT ON COLUMN TB_CAR_REPAIR.SUBLETCOST_EURO IS 'ְ_';
COMMENT ON COLUMN TB_CAR_REPAIR.TRACTIONCOST IS 'κ';
COMMENT ON COLUMN TB_CAR_REPAIR.TRACTIONCOST_EURO IS 'κ_';
COMMENT ON COLUMN TB_CAR_REPAIR.WARRANTY_DIV IS '';
COMMENT ON COLUMN TB_CAR_REPAIR.LPOS IS '';
COMMENT ON COLUMN TB_CAR_REPAIR.MPOS IS 'ߺ';
COMMENT ON COLUMN TB_CAR_REPAIR.SPOS IS 'Һ';
COMMENT ON COLUMN TB_CAR_REPAIR.MIS IS 'MIS';
COMMENT ON COLUMN TB_CAR_REPAIR.CAMPAIGN_CD IS 'ķڵ';
COMMENT ON COLUMN TB_CAR_REPAIR.CLAIM_DESC IS 'Ŭӳ';
COMMENT ON COLUMN TB_CAR_REPAIR.EDIT_DT IS '';
COMMENT ON COLUMN TB_CAR_REPAIR.DEL_FLAG IS '';
COMMENT ON COLUMN TB_CAR_REPAIR.CLOSE_FLAG IS '';


--ǰ
CREATE TABLE TB_CAR_PART
(
    VIN                      VARCHAR2(17) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    CLAIM_NO                 VARCHAR2(12) NOT NULL,
    PART_SEQ                 NUMBER(11) NOT NULL,
    EXPART_NO                VARCHAR2(13) NOT NULL,
    EXPART_PRICE             VARCHAR2(10) NOT NULL,
    EXPART_PRICE_EURO        VARCHAR2(10) NOT NULL,
    EXPART_CNT               NUMBER(2) NOT NULL,
    BACK_FLAG                VARCHAR2(1) NOT NULL,
    CONSTRAINT TB_CAR_PART_PK
    PRIMARY KEY (PART_SEQ,DEALER_CD,CLAIM_NO,VIN),
     FOREIGN KEY (CLAIM_NO,DEALER_CD,VIN)
     REFERENCES TB_CAR_REPAIR(CLAIM_NO,DEALER_CD,VIN)
);
COMMENT ON TABLE TB_CAR_PART IS 'ǰ';
COMMENT ON COLUMN TB_CAR_PART.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_PART.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_PART.CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_PART.PART_SEQ IS 'ǰ';
COMMENT ON COLUMN TB_CAR_PART.EXPART_NO IS 'ȯǰȣ';
COMMENT ON COLUMN TB_CAR_PART.EXPART_PRICE IS 'ȯǰ';
COMMENT ON COLUMN TB_CAR_PART.EXPART_PRICE_EURO IS 'ȯǰ_';
COMMENT ON COLUMN TB_CAR_PART.EXPART_CNT IS 'ȯǰ';
COMMENT ON COLUMN TB_CAR_PART.BACK_FLAG IS 'ǰȸ';


--۾
CREATE TABLE TB_CAR_WORK
(
    VIN                      VARCHAR2(17) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    CLAIM_NO                 VARCHAR2(12) NOT NULL,
    WORK_SEQ                 NUMBER(11) NOT NULL,
    WORK_CD                  VARCHAR2(8) NOT NULL,
    DEMAND_WORKTIME          VARCHAR2(7) NOT NULL,
    STANDARD_WORKTIME        VARCHAR2(7) NOT NULL,
    WORK_LABORCOST           VARCHAR2(10) NOT NULL,
    WORK_LABORCOST_EURO      VARCHAR2(10) NOT NULL,
    CONSTRAINT TB_CAR_WORK_PK
    PRIMARY KEY (WORK_SEQ,DEALER_CD,CLAIM_NO,VIN),
     FOREIGN KEY (CLAIM_NO,DEALER_CD,VIN)
     REFERENCES TB_CAR_REPAIR(CLAIM_NO,DEALER_CD,VIN)
);
COMMENT ON TABLE TB_CAR_WORK IS '۾';
COMMENT ON COLUMN TB_CAR_WORK.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_WORK.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_WORK.CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_WORK.WORK_SEQ IS '۾';
COMMENT ON COLUMN TB_CAR_WORK.WORK_CD IS '۾ڵ';
COMMENT ON COLUMN TB_CAR_WORK.DEMAND_WORKTIME IS 'û۾ð';
COMMENT ON COLUMN TB_CAR_WORK.STANDARD_WORKTIME IS 'ǥ۾ð';
COMMENT ON COLUMN TB_CAR_WORK.WORK_LABORCOST IS '۾';
COMMENT ON COLUMN TB_CAR_WORK.WORK_LABORCOST_EURO IS '۾_';


--_
CREATE TABLE TB_CAR_ORG
(
    VIN                      VARCHAR2(17) NOT NULL,
    CAR_EX_DIV               VARCHAR2(1) NOT NULL,
    VEH_FORM_FORM            VARCHAR2(7) NOT NULL,
    VEH_FORM_BASE            VARCHAR2(3) NOT NULL,
    VEH_FORM_ADD             VARCHAR2(3) NOT NULL,
    VEH_FORM_OPT             VARCHAR2(5) NOT NULL,
    AP_MODEL_NO              VARCHAR2(3) NOT NULL,
    VEN_CERT_NO              VARCHAR2(15) NOT NULL,
    PRO_PLAN_DT              VARCHAR2(8) NOT NULL,
    EX_COLOR                 VARCHAR2(3) NOT NULL,
    IN_COLOR                 VARCHAR2(1) NOT NULL,
    CRITE_CAR                VARCHAR2(5) NOT NULL,
    OFFLINE_FACT             VARCHAR2(10) NOT NULL,
    ENGINE_FACT              VARCHAR2(10) NOT NULL,
    ENG_FORM                 VARCHAR2(8) NOT NULL,
    ENG_NO                   VARCHAR2(6) NOT NULL,
    TM_FORM                  VARCHAR2(8) NOT NULL,
    TM_NO                    VARCHAR2(10) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    ENG_PRO_DT               VARCHAR2(10) NOT NULL,
    OFFLINE_DT               VARCHAR2(10) NOT NULL,
    FAC_COMP_DT              VARCHAR2(8) NOT NULL,
    SIGNOFF_DT               VARCHAR2(8) NOT NULL,
    SALE_DT                  VARCHAR2(8) NOT NULL,
    CUR_EVENT                VARCHAR2(10) NOT NULL,
    IAS_FLAG                 VARCHAR2(1) DEFAULT 'N' NOT NULL,
    SALE_PRICE               NUMBER(10) NOT NULL,
    SALE_PRICE_EURO          VARCHAR2(10) NOT NULL,
    PRO_UPD_DT               VARCHAR2(8) NOT NULL,
    SALE_UPD_DT              VARCHAR2(8) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_CAR_ORG_PK
    PRIMARY KEY (VIN,CAR_EX_DIV)
);
COMMENT ON TABLE TB_CAR_ORG IS '_';
COMMENT ON COLUMN TB_CAR_ORG.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_ORG.CAR_EX_DIV IS '¿ܱ';
COMMENT ON COLUMN TB_CAR_ORG.VEH_FORM_FORM IS '_';
COMMENT ON COLUMN TB_CAR_ORG.VEH_FORM_BASE IS '_⺻';
COMMENT ON COLUMN TB_CAR_ORG.VEH_FORM_ADD IS '_߰';
COMMENT ON COLUMN TB_CAR_ORG.VEH_FORM_OPT IS '_û';
COMMENT ON COLUMN TB_CAR_ORG.AP_MODEL_NO IS 'Applied_model_no';
COMMENT ON COLUMN TB_CAR_ORG.VEN_CERT_NO IS 'ȣ';
COMMENT ON COLUMN TB_CAR_ORG.PRO_PLAN_DT IS 'ȹ';
COMMENT ON COLUMN TB_CAR_ORG.EX_COLOR IS '';
COMMENT ON COLUMN TB_CAR_ORG.IN_COLOR IS '';
COMMENT ON COLUMN TB_CAR_ORG.CRITE_CAR IS '';
COMMENT ON COLUMN TB_CAR_ORG.OFFLINE_FACT IS 'ΰ';
COMMENT ON COLUMN TB_CAR_ORG.ENGINE_FACT IS '';
COMMENT ON COLUMN TB_CAR_ORG.ENG_FORM IS '';
COMMENT ON COLUMN TB_CAR_ORG.ENG_NO IS 'ȣ';
COMMENT ON COLUMN TB_CAR_ORG.TM_FORM IS '̼';
COMMENT ON COLUMN TB_CAR_ORG.TM_NO IS '̼ǹȣ';
COMMENT ON COLUMN TB_CAR_ORG.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_ORG.ENG_PRO_DT IS '';
COMMENT ON COLUMN TB_CAR_ORG.OFFLINE_DT IS '';
COMMENT ON COLUMN TB_CAR_ORG.FAC_COMP_DT IS 'ϼ';
COMMENT ON COLUMN TB_CAR_ORG.SIGNOFF_DT IS 'SIGNOFF';
COMMENT ON COLUMN TB_CAR_ORG.SALE_DT IS 'Ǹ';
COMMENT ON COLUMN TB_CAR_ORG.CUR_EVENT IS ' EVENT';
COMMENT ON COLUMN TB_CAR_ORG.IAS_FLAG IS '';
COMMENT ON COLUMN TB_CAR_ORG.SALE_PRICE IS 'ǸŰ';
COMMENT ON COLUMN TB_CAR_ORG.SALE_PRICE_EURO IS 'ǸŰ_';
COMMENT ON COLUMN TB_CAR_ORG.PRO_UPD_DT IS '_̷';
COMMENT ON COLUMN TB_CAR_ORG.SALE_UPD_DT IS '_Ǹ̷';
COMMENT ON COLUMN TB_CAR_ORG.REG_DT IS 'ۼ';


--_
CREATE TABLE TB_CAR_ORG_EX
(
    VIN                      VARCHAR2(17) NOT NULL,
    CAR_EX_DIV               VARCHAR2(1) NOT NULL,
    EX_CD                    VARCHAR2(10) NOT NULL,
    HANDLE_FLAG              VARCHAR2(1) DEFAULT 'N' NOT NULL,
    HANDLE_ID                VARCHAR2(10) NOT NULL,
    HANDLE_NM                VARCHAR2(20) NOT NULL,
    HANDLE_DT                VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_CAR_ORG_EX_PK
    PRIMARY KEY (EX_CD,VIN,CAR_EX_DIV),
     FOREIGN KEY (VIN,CAR_EX_DIV)
     REFERENCES TB_CAR_ORG(VIN,CAR_EX_DIV)
);
COMMENT ON TABLE TB_CAR_ORG_EX IS '_';
COMMENT ON COLUMN TB_CAR_ORG_EX.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_ORG_EX.CAR_EX_DIV IS '¿ܱ';
COMMENT ON COLUMN TB_CAR_ORG_EX.EX_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_ORG_EX.HANDLE_FLAG IS 'ó';
COMMENT ON COLUMN TB_CAR_ORG_EX.HANDLE_ID IS 'óID';
COMMENT ON COLUMN TB_CAR_ORG_EX.HANDLE_NM IS 'ó';
COMMENT ON COLUMN TB_CAR_ORG_EX.HANDLE_DT IS 'ó';


--_
CREATE TABLE TB_CAR_REPAIR_ORG
(
    VIN                      VARCHAR2(17) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    CLAIM_NO                 VARCHAR2(12) NOT NULL,
    DTL_EX_DIV               VARCHAR2(1) NOT NULL,
    BEF_CLAIM_NO             VARCHAR2(12) NOT NULL,
    REPAIR_DT                VARCHAR2(8) NOT NULL,
    CLAIM_DT                 VARCHAR2(8) NOT NULL,
    RECOMPENSE_DIV           VARCHAR2(1) NOT NULL,
    REPAIR_FLAG              VARCHAR2(1) DEFAULT 'N' NOT NULL,
    DELIVER_FLAG             VARCHAR2(1) NOT NULL,
    WAR_EXT_FLAG             VARCHAR2(1) NOT NULL,
    DRV_DIST                 VARCHAR2(7) NOT NULL,
    SYM_CD                   VARCHAR2(2) NOT NULL,
    CAUSE_CD                 VARCHAR2(2) NOT NULL,
    PFP                      VARCHAR2(5) NOT NULL,
    CAR_KIND                 VARCHAR2(1) NOT NULL,
    PFP_NO                   VARCHAR2(13) NOT NULL,
    PARTCOST                 NUMBER(11) NOT NULL,
    PARTCOST_EURO            NUMBER(11) NOT NULL,
    PARTCOST_W               NUMBER(11) NOT NULL,
    PARTCOST_W_EURO          NUMBER(11) NOT NULL,
    LABORCOST                NUMBER(11) NOT NULL,
    LABORCOST_EURO           NUMBER(11) NOT NULL,
    SUBLETCOST               NUMBER(11) NOT NULL,
    SUBLETCOST_EURO          NUMBER(11) NOT NULL,
    TRACTIONCOST             NUMBER(11) NOT NULL,
    TRACTIONCOST_EURO        NUMBER(11) NOT NULL,
    WARRANTY_DIV             VARCHAR2(1) NOT NULL,
    LPOS                     VARCHAR2(1) NOT NULL,
    MPOS                     VARCHAR2(2) NOT NULL,
    SPOS                     VARCHAR2(3) NOT NULL,
    MIS                      VARCHAR2(1) NOT NULL,
    CAMPAIGN_CD              VARCHAR2(9) NOT NULL,
    CLAIM_DESC               VARCHAR2(120) NOT NULL,
    EDIT_DT                  VARCHAR2(8) NOT NULL,
    DEL_FLAG                 VARCHAR2(1) DEFAULT 'N' NOT NULL,
    CLOSE_FLAG               VARCHAR2(1) DEFAULT 'N' NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_CAR_REPAIR_ORG_PK
    PRIMARY KEY (VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV)
);
COMMENT ON TABLE TB_CAR_REPAIR_ORG IS '_';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.DTL_EX_DIV IS 'ܱ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.BEF_CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.REPAIR_DT IS '';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.CLAIM_DT IS 'ó';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.RECOMPENSE_DIV IS '󱸺';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.REPAIR_FLAG IS '԰';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.DELIVER_FLAG IS 'ε';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.WAR_EXT_FLAG IS '忩';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.DRV_DIST IS 'Ÿ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.SYM_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.CAUSE_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.PFP IS 'ֿκǰ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.CAR_KIND IS '';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.PFP_NO IS 'ֿκǰȣ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.PARTCOST IS 'ǰ_';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.PARTCOST_EURO IS 'ǰ__';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.PARTCOST_W IS 'ǰ_';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.PARTCOST_W_EURO IS 'ǰ__';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.LABORCOST IS 'Ӵ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.LABORCOST_EURO IS 'Ӵ_';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.SUBLETCOST IS 'ְ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.SUBLETCOST_EURO IS 'ְ_';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.TRACTIONCOST IS 'κ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.TRACTIONCOST_EURO IS 'κ_';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.WARRANTY_DIV IS '';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.LPOS IS '';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.MPOS IS 'ߺ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.SPOS IS 'Һ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.MIS IS 'MIS';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.CAMPAIGN_CD IS 'ķڵ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.CLAIM_DESC IS 'Ŭӳ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.EDIT_DT IS '';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.DEL_FLAG IS '';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.CLOSE_FLAG IS '';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG.REG_DT IS 'ۼ';


--_
CREATE TABLE TB_CAR_REPAIR_ORG_EX
(
    VIN                      VARCHAR2(17) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    CLAIM_NO                 VARCHAR2(12) NOT NULL,
    DTL_EX_DIV               VARCHAR2(1) NOT NULL,
    EX_CD                    VARCHAR2(10) NOT NULL,
    HANDLE_FLAG              VARCHAR2(1) DEFAULT 'N' NOT NULL,
    HANDLE_ID                VARCHAR2(10) NOT NULL,
    HANDLE_NM                VARCHAR2(20) NOT NULL,
    HANDLE_DT                VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_CAR_REPAIR_EX_PK
    PRIMARY KEY (EX_CD,VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV),
     FOREIGN KEY (VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV)
     REFERENCES TB_CAR_REPAIR_ORG(VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV)
);
COMMENT ON TABLE TB_CAR_REPAIR_ORG_EX IS '_';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.DTL_EX_DIV IS 'ܱ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.EX_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.HANDLE_FLAG IS 'ó';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.HANDLE_ID IS 'óID';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.HANDLE_NM IS 'ó';
COMMENT ON COLUMN TB_CAR_REPAIR_ORG_EX.HANDLE_DT IS 'ó';


--ǰ_
CREATE TABLE TB_CAR_PART_ORG
(
    VIN                      VARCHAR2(17) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    CLAIM_NO                 VARCHAR2(12) NOT NULL,
    DTL_EX_DIV               VARCHAR2(1) NOT NULL,
    PART_SEQ                 NUMBER(11) NOT NULL,
    EXPART_NO                VARCHAR2(13) NOT NULL,
    EXPART_PRICE             VARCHAR2(10) NOT NULL,
    EXPART_PRICE_EURO        VARCHAR2(10) NOT NULL,
    EXPART_CNT               NUMBER(2) NOT NULL,
    BACK_FLAG                VARCHAR2(1) NOT NULL,
    CONSTRAINT TB_CAR_PART_ORG_PK
    PRIMARY KEY (PART_SEQ,VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV),
     FOREIGN KEY (VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV)
     REFERENCES TB_CAR_REPAIR_ORG(VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV)
);
COMMENT ON TABLE TB_CAR_PART_ORG IS 'ǰ_';
COMMENT ON COLUMN TB_CAR_PART_ORG.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_PART_ORG.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_PART_ORG.CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_PART_ORG.DTL_EX_DIV IS 'ܱ';
COMMENT ON COLUMN TB_CAR_PART_ORG.PART_SEQ IS 'ǰ';
COMMENT ON COLUMN TB_CAR_PART_ORG.EXPART_NO IS 'ȯǰȣ';
COMMENT ON COLUMN TB_CAR_PART_ORG.EXPART_PRICE IS 'ȯǰ';
COMMENT ON COLUMN TB_CAR_PART_ORG.EXPART_PRICE_EURO IS 'ȯǰ_';
COMMENT ON COLUMN TB_CAR_PART_ORG.EXPART_CNT IS 'ȯǰ';
COMMENT ON COLUMN TB_CAR_PART_ORG.BACK_FLAG IS 'ǰȸ';


--۾_
CREATE TABLE TB_CAR_WORK_ORG
(
    VIN                      VARCHAR2(17) NOT NULL,
    DEALER_CD                VARCHAR2(5) NOT NULL,
    CLAIM_NO                 VARCHAR2(12) NOT NULL,
    DTL_EX_DIV               VARCHAR2(1) NOT NULL,
    WORK_SEQ                 NUMBER(11) NOT NULL,
    WORK_CD                  VARCHAR2(8) NOT NULL,
    DEMAND_WORKTIME          VARCHAR2(7) NOT NULL,
    STANDARD_WORKTIME        VARCHAR2(7) NOT NULL,
    WORK_LABORCOST           VARCHAR2(10) NOT NULL,
    WORK_LABORCOST_EURO      VARCHAR2(10) NOT NULL,
    CONSTRAINT TB_CAR_WORK_ORG_PK
    PRIMARY KEY (WORK_SEQ,VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV),
     FOREIGN KEY (VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV)
     REFERENCES TB_CAR_REPAIR_ORG(VIN,DEALER_CD,CLAIM_NO,DTL_EX_DIV)
);
COMMENT ON TABLE TB_CAR_WORK_ORG IS '۾_';
COMMENT ON COLUMN TB_CAR_WORK_ORG.VIN IS 'ȣ';
COMMENT ON COLUMN TB_CAR_WORK_ORG.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_CAR_WORK_ORG.CLAIM_NO IS 'Ŭӹȣ';
COMMENT ON COLUMN TB_CAR_WORK_ORG.DTL_EX_DIV IS 'ܱ';
COMMENT ON COLUMN TB_CAR_WORK_ORG.WORK_SEQ IS '۾';
COMMENT ON COLUMN TB_CAR_WORK_ORG.WORK_CD IS '۾ڵ';
COMMENT ON COLUMN TB_CAR_WORK_ORG.DEMAND_WORKTIME IS 'û۾ð';
COMMENT ON COLUMN TB_CAR_WORK_ORG.STANDARD_WORKTIME IS 'ǥ۾ð';
COMMENT ON COLUMN TB_CAR_WORK_ORG.WORK_LABORCOST IS '۾';
COMMENT ON COLUMN TB_CAR_WORK_ORG.WORK_LABORCOST_EURO IS '۾_';


--APP_MODEL
CREATE TABLE TB_APP_MODEL_INFO
(
    AP_MODEL_NO              VARCHAR2(3) NOT NULL,
    AP_MODEL_CD              VARCHAR2(11) NOT NULL,
    FUEL_TYPE                VARCHAR2(10) NOT NULL,
    USAGE                    VARCHAR2(15) NOT NULL,
    MODEL_CD                 VARCHAR2(10) NOT NULL,
    PROJECT                  VARCHAR2(10) NOT NULL,
    PROJECT_SUB              VARCHAR2(10) NOT NULL,
    MY_EDITION               VARCHAR2(10) NOT NULL,
    ZONE                     VARCHAR2(10) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_APP_MODEL_INFO_PK
    PRIMARY KEY (AP_MODEL_NO)
);
COMMENT ON TABLE TB_APP_MODEL_INFO IS 'APP_MODEL';
COMMENT ON COLUMN TB_APP_MODEL_INFO.AP_MODEL_NO IS 'Applied_model_no';
COMMENT ON COLUMN TB_APP_MODEL_INFO.AP_MODEL_CD IS 'Applied_model_code';
COMMENT ON COLUMN TB_APP_MODEL_INFO.FUEL_TYPE IS 'Ÿ';
COMMENT ON COLUMN TB_APP_MODEL_INFO.USAGE IS '뵵';
COMMENT ON COLUMN TB_APP_MODEL_INFO.MODEL_CD IS 'ڵ';
COMMENT ON COLUMN TB_APP_MODEL_INFO.PROJECT IS 'Ʈ';
COMMENT ON COLUMN TB_APP_MODEL_INFO.PROJECT_SUB IS 'Ʈ';
COMMENT ON COLUMN TB_APP_MODEL_INFO.MY_EDITION IS 'My or Edition';
COMMENT ON COLUMN TB_APP_MODEL_INFO.ZONE IS 'Zone';
COMMENT ON COLUMN TB_APP_MODEL_INFO.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_APP_MODEL_INFO.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_APP_MODEL_INFO.REG_DT IS 'ۼ';


--
CREATE TABLE TB_VEN_CERT_INFO
(
    VEN_CERT_NO              VARCHAR2(15) NOT NULL,
    VEN_CERT_PART            VARCHAR2(20) NOT NULL,
    VEN_CERT_PART_CNT        VARCHAR2(10) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_VEN_CERT_INFO_PK
    PRIMARY KEY (VEN_CERT_NO)
);
COMMENT ON TABLE TB_VEN_CERT_INFO IS '';
COMMENT ON COLUMN TB_VEN_CERT_INFO.VEN_CERT_NO IS 'ȣ';
COMMENT ON COLUMN TB_VEN_CERT_INFO.VEN_CERT_PART IS 'ǰ';
COMMENT ON COLUMN TB_VEN_CERT_INFO.VEN_CERT_PART_CNT IS 'ǰ';
COMMENT ON COLUMN TB_VEN_CERT_INFO.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_VEN_CERT_INFO.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_VEN_CERT_INFO.REG_DT IS 'ۼ';


--ȯ
CREATE TABLE TB_EX_RATE_INFO
(
    REG_DT                   VARCHAR2(8) NOT NULL,
    EX_RATE                  NUMBER(9) NOT NULL,
    CONSTRAINT TB_EX_RATE_INFO_PK
    PRIMARY KEY (REG_DT)
);
COMMENT ON TABLE TB_EX_RATE_INFO IS 'ȯ';
COMMENT ON COLUMN TB_EX_RATE_INFO.REG_DT IS 'ۼ';
COMMENT ON COLUMN TB_EX_RATE_INFO.EX_RATE IS 'ȯ';


--ֿκǰ
CREATE TABLE TB_PFP_INFO
(
    CAR_KIND                 VARCHAR2(1) NOT NULL,
    PFP                      VARCHAR2(5) NOT NULL,
    PFP_NM                   VARCHAR2(200) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_PFP_INFO_PK
    PRIMARY KEY (CAR_KIND,PFP)
);
COMMENT ON TABLE TB_PFP_INFO IS 'ֿκǰ';
COMMENT ON COLUMN TB_PFP_INFO.CAR_KIND IS '';
COMMENT ON COLUMN TB_PFP_INFO.PFP IS 'ֿκǰ';
COMMENT ON COLUMN TB_PFP_INFO.PFP_NM IS 'ֿκǰ';
COMMENT ON COLUMN TB_PFP_INFO.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_PFP_INFO.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_PFP_INFO.REG_DT IS 'ۼ';


--ǰڵ
CREATE TABLE TB_PART_INFO
(
    PART_NO                  VARCHAR2(13) NOT NULL,
    PART_NM                  VARCHAR2(60) NOT NULL,
    PART_PRO_LINE            VARCHAR2(60) NOT NULL,
    PART_START_DT            VARCHAR2(8) NOT NULL,
    PART_END_DT              VARCHAR2(8) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_PART_INFO_PK
    PRIMARY KEY (PART_NO)
);
COMMENT ON TABLE TB_PART_INFO IS 'ǰڵ';
COMMENT ON COLUMN TB_PART_INFO.PART_NO IS 'ǰȣ';
COMMENT ON COLUMN TB_PART_INFO.PART_NM IS 'ǰ';
COMMENT ON COLUMN TB_PART_INFO.PART_PRO_LINE IS 'ǰü';
COMMENT ON COLUMN TB_PART_INFO.PART_START_DT IS 'ǰ';
COMMENT ON COLUMN TB_PART_INFO.PART_END_DT IS 'ǰ';
COMMENT ON COLUMN TB_PART_INFO.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_PART_INFO.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_PART_INFO.REG_DT IS 'ۼ';


--ڵ
CREATE TABLE TB_DEALER_INFO
(
    DEALER_CD                VARCHAR2(5) NOT NULL,
    DISTRICT_CD              VARCHAR2(1) NOT NULL,
    SALE_AGE_TYPE            VARCHAR2(1) NOT NULL,
    BRANCH_OFFICE_NM         VARCHAR2(100) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_DEALER_INFO_PK
    PRIMARY KEY (DEALER_CD)
);
COMMENT ON TABLE TB_DEALER_INFO IS 'ڵ';
COMMENT ON COLUMN TB_DEALER_INFO.DEALER_CD IS 'ڵ';
COMMENT ON COLUMN TB_DEALER_INFO.DISTRICT_CD IS 'ڵ';
COMMENT ON COLUMN TB_DEALER_INFO.SALE_AGE_TYPE IS '';
COMMENT ON COLUMN TB_DEALER_INFO.BRANCH_OFFICE_NM IS '';
COMMENT ON COLUMN TB_DEALER_INFO.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_DEALER_INFO.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_DEALER_INFO.REG_DT IS 'ۼ';


--۾ڵ
CREATE TABLE TB_WORK_INFO
(
    WORK_CD                  VARCHAR2(8) NOT NULL,
    WORK_NM                  VARCHAR2(60) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_WORK_INFO_PK
    PRIMARY KEY (WORK_CD)
);
COMMENT ON TABLE TB_WORK_INFO IS '۾ڵ';
COMMENT ON COLUMN TB_WORK_INFO.WORK_CD IS '۾ڵ';
COMMENT ON COLUMN TB_WORK_INFO.WORK_NM IS '۾';
COMMENT ON COLUMN TB_WORK_INFO.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_WORK_INFO.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_WORK_INFO.REG_DT IS 'ۼ';


--
CREATE TABLE TB_NOTICE
(
    WRT_NO                   NUMBER(9) NOT NULL,
    TTL                      VARCHAR2(200) NOT NULL,
    CTNT                     VARCHAR2(4000) NOT NULL,
    URL                      VARCHAR2(200) NOT NULL,
    HIT_CNT                  NUMBER(5) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_NOTICE_PK
    PRIMARY KEY (WRT_NO)
);
COMMENT ON TABLE TB_NOTICE IS '';
COMMENT ON COLUMN TB_NOTICE.WRT_NO IS '۹ȣ';
COMMENT ON COLUMN TB_NOTICE.TTL IS '';
COMMENT ON COLUMN TB_NOTICE.CTNT IS '۳';
COMMENT ON COLUMN TB_NOTICE.URL IS 'ٷΰ';
COMMENT ON COLUMN TB_NOTICE.HIT_CNT IS 'ȸ';
COMMENT ON COLUMN TB_NOTICE.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_NOTICE.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_NOTICE.REG_DT IS 'ۼ';


--÷
CREATE TABLE TB_NOTICE_FILE
(
    WRT_NO                   NUMBER(9) NOT NULL,
    FILE_NO                  NUMBER(9) NOT NULL,
    REAL_NM                  VARCHAR2(200) NOT NULL,
    TEMP_NM                  VARCHAR2(200) NOT NULL,
    FILE_SIZE                NUMBER(9) NOT NULL,
    DOWN_CNT                 NUMBER(5) NOT NULL,
    STORAGE_IP               VARCHAR2(15) NOT NULL,
    STORAGE_PORT             VARCHAR2(4) NOT NULL,
    CONSTRAINT TB_NOTICE_FILE_PK
    PRIMARY KEY (FILE_NO,WRT_NO),
     FOREIGN KEY (WRT_NO)
     REFERENCES TB_NOTICE(WRT_NO)
);
COMMENT ON TABLE TB_NOTICE_FILE IS '÷';
COMMENT ON COLUMN TB_NOTICE_FILE.WRT_NO IS '۹ȣ';
COMMENT ON COLUMN TB_NOTICE_FILE.FILE_NO IS '÷Ϲȣ';
COMMENT ON COLUMN TB_NOTICE_FILE.REAL_NM IS 'ϸ';
COMMENT ON COLUMN TB_NOTICE_FILE.TEMP_NM IS 'ӽϸ';
COMMENT ON COLUMN TB_NOTICE_FILE.FILE_SIZE IS 'ũ';
COMMENT ON COLUMN TB_NOTICE_FILE.DOWN_CNT IS 'ٿε';
COMMENT ON COLUMN TB_NOTICE_FILE.STORAGE_IP IS '';
COMMENT ON COLUMN TB_NOTICE_FILE.STORAGE_PORT IS 'Ʈ';


--зڵ
CREATE TABLE TB_DIV_CODE
(
    DIV_CD                   VARCHAR2(10) NOT NULL,
    DIV_NM                   VARCHAR2(20) NOT NULL,
    DIV_DESC                 VARCHAR2(200) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_DIV_CODE_PK
    PRIMARY KEY (DIV_CD)
)
    LOGGING
    CACHE;
COMMENT ON TABLE TB_DIV_CODE IS 'зڵ';
COMMENT ON COLUMN TB_DIV_CODE.DIV_CD IS 'зڵ';
COMMENT ON COLUMN TB_DIV_CODE.DIV_NM IS 'зڵ';
COMMENT ON COLUMN TB_DIV_CODE.DIV_DESC IS 'зڵ弳';
COMMENT ON COLUMN TB_DIV_CODE.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_DIV_CODE.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_DIV_CODE.REG_DT IS 'ۼ';


--ڵ
CREATE TABLE TB_DTL_CODE
(
    DTL_CD                   VARCHAR2(10) NOT NULL,
    DTL_NM                   VARCHAR2(20) NOT NULL,
    DTL_DESC                 VARCHAR2(200) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    DIV_CD                   VARCHAR2(10) NOT NULL,
    CONSTRAINT TB_DTL_CODE_PK
    PRIMARY KEY (DTL_CD,DIV_CD),
     FOREIGN KEY (DIV_CD)
     REFERENCES TB_DIV_CODE(DIV_CD)
);
COMMENT ON TABLE TB_DTL_CODE IS 'ڵ';
COMMENT ON COLUMN TB_DTL_CODE.DTL_CD IS 'ڵ';
COMMENT ON COLUMN TB_DTL_CODE.DTL_NM IS 'ڵ';
COMMENT ON COLUMN TB_DTL_CODE.DTL_DESC IS 'ڵ弳';
COMMENT ON COLUMN TB_DTL_CODE.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_DTL_CODE.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_DTL_CODE.REG_DT IS 'ۼ';
COMMENT ON COLUMN TB_DTL_CODE.DIV_CD IS 'зڵ';


--
CREATE TABLE TB_MANAGE
(
    MANAGE_ID                VARCHAR2(10) NOT NULL,
    MANAGE_NM                VARCHAR2(20) NOT NULL,
    AUTH_CD                  VARCHAR2(1) NOT NULL,
    REG_ID                   VARCHAR2(10) NOT NULL,
    REG_NM                   VARCHAR2(20) NOT NULL,
    REG_DT                   VARCHAR2(8) NOT NULL,
    CONSTRAINT TB_MANAGE_PK
    PRIMARY KEY (MANAGE_ID)
)
    LOGGING
    CACHE;
COMMENT ON TABLE TB_MANAGE IS '';
COMMENT ON COLUMN TB_MANAGE.MANAGE_ID IS 'ID';
COMMENT ON COLUMN TB_MANAGE.MANAGE_NM IS 'ڸ';
COMMENT ON COLUMN TB_MANAGE.AUTH_CD IS 'ڵ';
COMMENT ON COLUMN TB_MANAGE.REG_ID IS 'ۼID';
COMMENT ON COLUMN TB_MANAGE.REG_NM IS 'ۼ';
COMMENT ON COLUMN TB_MANAGE.REG_DT IS 'ۼ';