<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8"%>
<%@page import="com.rathontech.common.logger.Logger"%>
<%@page import="com.rathontech.util.StringUtils"%>
<%@page import="com.rathontech.sso.sp.session.AuthenticationManager"%>
<%@page import="com.rathontech.sso.sp.agent.web.WebAgent"%>

<%
    Logger logger=Logger.getLogger("test_sso_jsp");

	String id = AuthenticationManager.getAuthentication(request).getUniqueID();
	String errorMsg =  request.getParameter("ErrorMsg");
	String baseURL = (request.isSecure()==true?"https://":"http://") + request.getServerName();
	
    if (request.getServerPort() != 80) {
    	baseURL += ":" + request.getServerPort();
    }
%>
<%
    response.setHeader("cache-control","no-cache");
    response.setHeader("expires","0");
    response.setHeader("pragma","no-cache");
%>

<html>
<head>
	<title>RathonSSO Service Provicer Test Page</title>
	<meta http-equiv="Pragma" content="no-cache">
	<meta http-equiv="Cache-Control" content="No-Cache">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"> 
</head>
<body>

<%
	/* agent code - start */
	WebAgent agent = new WebAgent();
	
	if (agent.requestAuthentication(request, response, null, null)) {
		String redirecURL = agent.getRedirectURL();
		response.sendRedirect(redirecURL);
	}
	
	
	
	/* agent code - end */
%>

<%
	StringBuffer errorScript = new StringBuffer();

	if (errorMsg!=null) {
		errorScript.append("<script>");
		errorScript.append("alert("+errorMsg+");");
		errorScript.append("</script>");
	}
	
	StringBuffer sb = new StringBuffer();
	sb.append("<p>Session Attributes<p>");
	java.util.Enumeration en = request.getSession().getAttributeNames();
	while(en.hasMoreElements()) {
		String name = (String)en.nextElement();
		
		String value=null;
		try{
			value = (String)request.getSession().getAttribute(name).toString();
		}catch(NullPointerException e){
			value=e.getMessage();
		}
		sb.append("[").append(name).append("] = [").append(value).append("]<br>");
	}
%>

<%=errorScript%>

<fieldset>
    <h1>TEST Redirection SSO</h1>
	Session을 검사하여 인증되지 않았을 경우 SAML Request를 생성하여 IDP로 Redirect한다.<p>
	
</fieldset>
<%

if (null == id) { 
%>
SP에 에러가 발생 했습니다. SP를 확인하세요.
<%} else { %>
	Hello <%= id %> :) You successfully logged in Rathon SSO service
	<p>
	<!-- 
	servlet call : <a href="<%=baseURL%><%=request.getContextPath()%>/SP/test_logout.jsp?RelayState=<%=baseURL%><%=request.getContextPath()%>/SP/test_korean.jsp">Logout</a><br />
	-->
	jsp call : <a href="<%=baseURL%><%=request.getContextPath()%>/SP/ssoLogout.jsp">Logout</a><br />
	
<%= "<br>= [parameters] ===============================<br>" %>
<%
    String paramName;
    StringBuffer pSb = new StringBuffer();
    java.util.Enumeration enums = request.getParameterNames();    

    while(enums.hasMoreElements()) {
        paramName = (String)enums.nextElement();
        pSb.append(paramName + " = " + request.getParameter(paramName)+ "<br>");
        //StringUtils.checkEncodingLogger(request.getParameter(paramName),logger);
    }   
    
    out.print(pSb);
    out.print("<br />");
    
    
    out.print("= [session attribute] =====");
    out.print("<br />");
    out.print("<br />");
    out.print("<br />");
    out.print(sb.toString());   
}

String aaa = (String)request.getSession().getAttribute("RathonSSO_USER_ID");
if ( aaa != null ) 
{

	String bbb = new String(org.apache.commons.codec.binary.Base64.decodeBase64(aaa.getBytes()));
	out.print(bbb + "<-- userid<br />");
	
	String ssRathonSSO_SABUN = (String)request.getSession().getAttribute("RathonSSO_SABUN");
	
	if ( ssRathonSSO_SABUN != null ) {
		String decssRathonSSO_SABUN = new String(org.apache.commons.codec.binary.Base64.decodeBase64(ssRathonSSO_SABUN.getBytes()));
		out.print(decssRathonSSO_SABUN + "<-- decssRathonSSO_SABUN<br />");
	}
	
	
	/*
	String ccc = "";
	try {
		ccc = java.net.URLDecoder.decode(bbb, "UTF-8");
	} catch (Exception e) {
		// TODO: handle exception
	}
	out.print(ccc + "<-- ccc<br />");
	*/
	
	
	//String ccc = new String(org.apache.commons.codec.binary.Base64.decodeBase64(bbb.getBytes()));
	//out.print(ccc + "<-- ccc<br />");
	
	//String ccc = new String(bbb.getBytes("UTF-8"),"EUC-KR");
	//out.print(ccc + "<-- ccc<br />");
}

%>

</body>
</html>